Subject: [BUG] More select madness - keystone

From: [email-masked] (Santosh Shilimkar)
Date: Wed, 8 Jan 2014 09:06:11 -0500

On Tuesday 07 January 2014 11:12 PM, Sekhar Nori wrote:
> On Friday 03 January 2014 01:07 AM, Santosh Shilimkar wrote:
>> On Thursday 02 January 2014 02:17 PM, Santosh Shilimkar wrote:
>>> On Thursday 02 January 2014 12:26 PM, Russell King - ARM Linux wrote:
>>>> warning: (ARCH_KEYSTONE && SPI_DAVINCI) selects TI_EDMA which has unmet direct dependencies (DMADEVICES && (ARCH_DAVINCI || ARCH_OMAP || ARCH_KEYSTONE))
>>>>
>>>> This results in the EDMA engine code not being built.  Yet another
>>>> example of why improper use of the "select" statement is bad news
>>>> and leads to broken configurations.
>>>>
>>> Thanks for reporting Russell. Will have a look.
>>>
>> Just to be clear for records, the select was introduced before
>> KEYSTONE support was enabled. As per git blame, it came via commit
>> b5f1433059 {spi: davici - make davinci select edma}.
> 
> I don't quite recall why this was needed and the commit description does
> not help. Anyway, this is not needed - at least with current code. I
> verified that the DaVinci SPI driver builds correctly with TI_EDMA
> switched off. I can send a revert.
> 
Please do...

> BTW, it looks like arch/arm/mach-keystone/Kconfig has a select for
> TI_EDMA as well and that needs to be removed too.
> 
I have patch to kill that. Will be posting that.

Regards,
Santosh